<!DOCTYPE html>
<html lang="en">
  <head>


    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">



    <!-- Meta -->
 <meta name="description" content="Crowdsoft Design Guide">

    <title>Crowdsoft Design Guide</title>

    <!-- vendor css -->
    <link href="/lib/fontawesome-free/css/all.min.css" rel="stylesheet">
    <link href="/lib/ionicons/css/ionicons.min.css" rel="stylesheet">
    <link href="/lib/typicons.font/typicons.css" rel="stylesheet">
    <link href="/lib/jquery-dragndrop/draganddrop.css" rel="stylesheet">

    <!-- azia CSS -->
       <!-- global CSS -->
    <link rel="stylesheet" href="/css/azia-global.min.css?v=[cs_version]">
    <link rel="stylesheet" href="/css/serviceblick-global.css?v=[cs_version]">

  </head>
<body id="page-top" class="az-body">
<div class="az-header">
    <div class="container"> <!-- change to container-fluid for full browser width-->
        <div class="az-header-left">
            <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick logo"></a><a href="" id="azMenuShow" class="az-header-menu-icon d-lg-none"><span></span> </a> <span class="nav-link text-dark tx-20">Design Guide</span>
        </div><!-- az-header-left -->
        <div class="az-header-menu">
            <div class="az-header-menu-header">
                <a href="index.html" class="az-logo"><span></span><img class="az-logo" src="/img/serviceblick_logo.gif" alt="Serviceblick"></a>
                <a href="" class="close">&times;</a>
            </div><!-- az-header-menu-header -->
          <ul class="nav">
            <li class="nav-item">
                      <a href="" class="nav-link with-sub"><i class="typcn typcn-feather"></i> How to Use</a>
                      <nav class="az-menu-sub">
                          <a href="documentation.html" class="nav-link">Documentation</a>
                      </nav><!-- az-menu-sub -->
                  </li>
                  <li class="nav-item">
                    <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i> Dashboards</a>
                    <nav class="az-menu-sub">
                      <a href="dashboard-one.html" class="nav-link">Web Analytics</a>
                      <a href="dashboard-two.html" class="nav-link">Sales Monitoring</a>
                      <a href="dashboard-three.html" class="nav-link">Ad Campaign</a>
                      <a href="dashboard-four.html" class="nav-link">Event Management</a>
                      <a href="dashboard-five.html" class="nav-link">Helpdesk Management</a>
                      <a href="dashboard-six.html" class="nav-link">Finance Monitoring</a>
                      <a href="dashboard-seven.html" class="nav-link">Cryptocurrency</a>
                      <a href="dashboard-eight.html" class="nav-link">Executive / SaaS</a>
                      <a href="dashboard-nine.html" class="nav-link">Campaign Monitoring</a>
                      <a href="dashboard-ten.html" class="nav-link">Product Management</a>
                    </nav>
                  </li>
                  <li class="nav-item">
                    <a href="" class="nav-link with-sub"><i class="typcn typcn-folder"></i> Apps</a>
                    <nav class="az-menu-sub">
                      <a href="app-mail.html" class="nav-link">Mailbox</a>
                      <a href="app-chat.html" class="nav-link">Chat</a>
                      <a href="app-calendar.html" class="nav-link">Calendar</a>
                      <a href="app-contacts.html" class="nav-link">Contacts</a>
                      <a href="app-kanban.html" class="nav-link">Kanban</a>
                      <a href="app-tickets.html" class="nav-link">Tickets</a>
                    </nav>
                  </li>
            <li class="nav-item">
                <a href="" class="nav-link with-sub"><i class="typcn typcn-document"></i> Pages</a>
                <nav class="az-menu-sub">
                  <a href="page-signin.html" class="nav-link">Login</a>
                  <a href="page-register.html" class="nav-link">Register</a>
                  <a href="page-signup.html" class="nav-link">Sign Up</a>
                  <a href="page-faq.html" class="nav-link">Faq</a>
                  <a href="page-news-grid.html" class="nav-link">News Grid</a>
                  <a href="page-pricing.html" class="nav-link">Pricing</a>
                  <a href="page-app-settings.html" class="nav-link">Settings</a>
              </nav>
            </li>
            <li class="nav-item active show">
              <a href="" class="nav-link with-sub"><i class="typcn typcn-book"></i> Components</a>
              <div class="az-menu-sub az-menu-sub-mega">
                <div class="container">
                  <div>
                    <nav class="nav">
                      <span>UI Elements</span>
                      <a href="elem-accordion.html" class="nav-link">Accordion</a>
                      <a href="elem-alerts.html" class="nav-link">Alerts</a>
                      <a href="elem-avatar.html" class="nav-link">Avatar</a>
                      <a href="elem-badge.html" class="nav-link">Badge</a>
                      <a href="elem-breadcrumbs.html" class="nav-link">Breadcrumbs</a>
                      <a href="elem-buttons.html" class="nav-link">Buttons</a>
                      <a href="elem-cards.html" class="nav-link">Cards</a>
                      <a href="elem-carousel.html" class="nav-link">Carousel</a>
                    </nav>
                    <nav class="nav">
                      <a href="elem-collapse.html" class="nav-link">Collapse</a>
                      <a href="elem-dropdown.html" class="nav-link">Dropdown</a>
                      <a href="elem-icons.html" class="nav-link">Icons</a>
                      <a href="elem-images.html" class="nav-link">Images</a>
                      <a href="elem-list-group.html" class="nav-link">List Group</a>
                      <a href="elem-media-object.html" class="nav-link">Media Object</a>
                      <a href="elem-modals.html" class="nav-link">Modals</a>
                      <a href="elem-navigation.html" class="nav-link">Navigation</a>
                    </nav>
                    <nav class="nav">
                      <a href="elem-pagination.html" class="nav-link">Pagination</a>
                      <a href="elem-popover.html" class="nav-link">Popover</a>
                      <a href="elem-progress.html" class="nav-link">Progress</a>
                      <a href="elem-spinners.html" class="nav-link">Spinners</a>
                      <a href="elem-toast.html" class="nav-link">Toast</a>
                      <a href="elem-tooltip.html" class="nav-link">Tooltip</a>
                      <a href="elem-draganddrop.html" class="nav-link active">Drag and Drop</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Forms</span>
                      <a href="form-elements.html" class="nav-link">Form Elements</a>
                      <a href="form-layouts.html" class="nav-link">Form Layouts</a>
                      <a href="form-validation.html" class="nav-link">Form Validation</a>
                      <a href="form-wizards.html" class="nav-link">Form Wizards</a>
                      <a href="form-editor.html" class="nav-link">WYSIWYG Editor</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Charts</span>
                      <a href="chart-morris.html" class="nav-link">Morris Charts</a>
                      <a href="chart-flot.html" class="nav-link">Flot Charts</a>
                      <a href="chart-chartjs.html" class="nav-link">ChartJS</a>
                      <a href="chart-sparkline.html" class="nav-link">Sparkline</a>
                      <a href="chart-peity.html" class="nav-link">Peity</a>
                    </nav>
                  </div>
                  <div>
                    <nav class="nav">
                      <span>Maps</span>
                      <a href="map-google.html" class="nav-link">Google Maps</a>
                      <a href="map-leaflet.html" class="nav-link">Leaflet</a>
                      <a href="map-vector.html" class="nav-link">Vector Maps</a>
                      <span>Tables</span>
                      <a href="table-basic.html" class="nav-link">Basic Tables</a>
                      <a href="table-data.html" class="nav-link">Data Tables</a>
                    </nav>
                  </div>
                </div><!-- container -->
              </div>
            </li>
            <li class="nav-item">
              <a href="" class="nav-link with-sub"><i class="typcn typcn-tabs-outline"></i> Utilities</a>
              <nav class="az-menu-sub">
                <a href="util-background.html" class="nav-link">Background</a>
                <a href="util-border.html" class="nav-link">Border</a>
                <a href="util-display.html" class="nav-link">Display</a>
                <a href="util-flex.html" class="nav-link">Flex</a>
                <a href="util-height.html" class="nav-link">Height</a>
                <a href="util-margin.html" class="nav-link">Margin</a>
                <a href="util-padding.html" class="nav-link">Padding</a>
                <a href="util-position.html" class="nav-link">Position</a>
                <a href="util-typography.html" class="nav-link">Typography</a>
                <a href="util-width.html" class="nav-link">Width</a>
                <a href="util-extras.html" class="nav-link">Extras</a>
              </nav>
            </li>
          </ul>
        </div><!-- az-header-menu -->
            <div class="az-header-right">
           
        </div><!-- az-header-right -->
      </div><!-- container -->
    </div><!-- az-header -->

    <div class="az-content pd-y-20 pd-lg-y-30 pd-xl-y-40">
      <div class="container">
        <div class="az-content-left az-content-left-components">
          <div class="component-item">
            <label>UI Elements</label>
            <nav class="nav flex-column">
              <a href="elem-accordion.html" class="nav-link">Accordion</a>
              <a href="elem-alerts.html" class="nav-link">Alerts</a>
              <a href="elem-avatar.html" class="nav-link">Avatar</a>
              <a href="elem-badge.html" class="nav-link">Badge</a>
              <a href="elem-breadcrumbs.html" class="nav-link">Breadcrumbs</a>
              <a href="elem-buttons.html" class="nav-link">Buttons</a>
              <a href="elem-cards.html" class="nav-link">Cards</a>
              <a href="elem-carousel.html" class="nav-link">Carousel</a>
              <a href="elem-collapse.html" class="nav-link">Collapse</a>
              <a href="elem-dropdown.html" class="nav-link">Dropdown</a>
              <a href="elem-icons.html" class="nav-link">Icons</a>
              <a href="elem-images.html" class="nav-link">Images</a>
              <a href="elem-list-group.html" class="nav-link">List Group</a>
              <a href="elem-media-object.html" class="nav-link">Media Object</a>
              <a href="elem-modals.html" class="nav-link">Modals</a>
              <a href="elem-navigation.html" class="nav-link">Navigation</a>
              <a href="elem-pagination.html" class="nav-link">Pagination</a>
              <a href="elem-popover.html" class="nav-link">Popover</a>
              <a href="elem-progress.html" class="nav-link">Progress</a>
              <a href="elem-spinners.html" class="nav-link">Spinners</a>
              <a href="elem-toast.html" class="nav-link">Toast</a>
              <a href="elem-tooltip.html" class="nav-link">Tooltip</a>
               <a href="elem-draganddrop.html" class="nav-link active">Drag and Drop</a>
            </nav>

            <label>Forms</label>
            <nav class="nav flex-column">
              <a href="form-elements.html" class="nav-link">Form Elements</a>
              <a href="form-layouts.html" class="nav-link">Form Layouts</a>
              <a href="form-validation.html" class="nav-link">Form Validation</a>
              <a href="form-wizards.html" class="nav-link">Form Wizards</a>
              <a href="form-editor.html" class="nav-link">WYSIWYG Editor</a>
            </nav>

            <label>Charts</label>
            <nav class="nav flex-column">
              <a href="chart-morris.html" class="nav-link">Morris Charts</a>
              <a href="chart-flot.html" class="nav-link">Flot Charts</a>
              <a href="chart-chartjs.html" class="nav-link">ChartJS</a>
              <a href="chart-sparkline.html" class="nav-link">Sparkline</a>
              <a href="chart-peity.html" class="nav-link">Peity</a>
            </nav>

            <label>Maps</label>
            <nav class="nav flex-column">
              <a href="map-google.html" class="nav-link">Google Maps</a>
              <a href="map-leaflet.html" class="nav-link">Leaflet</a>
              <a href="map-vector.html" class="nav-link">Vector Maps</a>
            </nav>

            <label>Tables</label>
            <nav class="nav flex-column">
              <a href="table-basic.html" class="nav-link">Basic Tables</a>
              <a href="table-data.html" class="nav-link">Data Tables</a>
            </nav>
          </div><!-- component-item -->

        </div><!-- az-content-left -->
        <div class="az-content-body pd-lg-l-40 d-flex flex-column">
          <div class="az-content-breadcrumb">
            <span>Components</span>
            <span>UI Elements</span>
            <span>Drag and Drop</span>
          </div>
          <h2 class="az-content-title">Drag and Drop Examples</h2>

         

          <div class="az-content-label mg-b-5">Draggables</div>
          <p class="mg-b-20"> draganddrop.js is a jQuery drag and drop plugin that enables sortable and draggable functionalities on any DOM elements without requiring the jQuery UI library. Compatible with touch and desktop devices.</p>


          <div class="tooltip-static-demo mg-b-20">
            <button class="btn btn-primary drag">Drag me</button>
            <button class="btn btn-primary draghandle"> You can only drag my <strong class=" handle">handle</strong></button>
   
            <button class="btn btn-primary dragdrop">Drag and Drop me</button>
            <span class="draggables" >
              <button class="btn btn-secondary"> 1 </button>
              <button class="btn btn-warning"> 2 </button>
              <button class="btn btn-success"> 3 </button>
              <button class="btn btn-danger"> 4 </button>
            </span>
        
            <div class="drop"><p>Drop here</p></div>
          </div><!-- tooltip-static-demo -->

    
        

          <hr class="mg-y-30">

          <div class="az-content-label mg-b-5">LI elements</div>


          <p class="mg-b-20">Set fuctionality using classes and list items. Full information about customisation and API methods can be found at https://www.jqueryscript.net/other/Mobile-Drag-Drop-Plugin-jQuery.html</p>

          <div class="az-content-label az-content-label-sm mg-b-10">Normal List</div>
          <div class="bg-gray-200 pd-20  mg-b-20">
            <div class="row row-sm tx-center">
                <ul class="normal ">
                    <li>Item 1</li>
                    <li>Item 2
                      <ul>
                        <li>Item 2.1</li>
                        <li>Item 2.2
                          <ul>
                            <li>Item 2.2.1</li>
                          </ul>
                        </li>
                      </ul>
                    </li>
                    <li>Item 3
                      <ul>
                        <li>Item 3.1</li>
                      </ul>
                    </li>
                  </ul>
              
            </div><!-- row -->
          </div>

          <div class="az-content-label az-content-label-sm mg-b-10">Floating LI elements</div>
          <div class="bg-gray-200 pd-20  mg-b-20">
            <div class="row row-sm tx-center">
                <ul class="float">
                    <li>
                      Item 1
                    </li>
                    <li>
                      Item 2
                    </li>
                    <li>
                      Item 3
                    </li>
                    <li>
                      Item 4
                    </li>
                  </ul>
            </div><!-- row -->
          </div>

          <div class="az-content-label az-content-label-sm mg-b-10">Inline-block LI elements</div>
          <div class="bg-gray-200 pd-20  mg-b-20">
            <div class="row row-sm tx-center">
                <ul class="inline nav">
                    <li class="nav-link">
                      Item 1
                    </li>
                    <li class="nav-link">
                      Item 2
                    </li>
                    <li class="nav-link">
                      Item 3
                    </li>
                    <li class="nav-link">
                      Item 4
                    </li>
                  </ul>
            </div><!-- row -->
          </div>

          <div class="az-content-label az-content-label-sm mg-b-10">Grouped Lists</div>
          <div class="bg-gray-200 pd-20  mg-b-20">
            <div class="row row-sm tx-center ">
                <ul class="grouped nav flex-column">
                    <li class="nav-link">
                      Item 1
                    </li>
                    <li class="nav-link">
                      Item 2
                    </li>
                  </ul>
                  <ul class="grouped nav flex-column">
                    <li class="nav-link">
                      Item 1
                    </li>
                    <li class="nav-link">
                      Item 2
                    </li>
                  </ul>
            </div><!-- row -->
          </div>

          <div class="az-content-label az-content-label-sm mg-b-10">List of DIVs</div>
          <div class="bg-gray-200 pd-20  mg-b-20">
            <div class="row row-sm tx-center">
                <div class="list parent">
                    <div>Child 1</div>
                    <div>Child 2</div>
                    <div>
                      Child 3
                      <div class="list">
                        <div>Subchild</div>
                      </div>
                    </div>
                  </div>
            </div><!-- row -->
          </div>

          <table class="table az-table-reference">
            <thead>
              <tr>
                <th class="wd-40p">Example</th>
                <th class="wd-60p">Description</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>
<code class="pd-0">
<xmp>
<div class="element">
...
</div>

$('.element').draggable();
</xmp></code></td>
                <td>Enable the draggable functionality on an DOM element you specify</td>
              </tr>
            </tbody>
            <tbody>
                <tr>
                  <td><code class="pd-0">
                    <xmp>
<ul class="demo">
    <li>Item 1</li>
    <li>Item 2
        <ul>
            <li>Item 2.1</li>
            <li>Item 2.2
                <ul>
                    <li>Item 2.2.1</li>
                </ul>
            </li>
        </ul>
    </li>
    <li>Item 3
        <ul>
            <li>Item 3.1</li>
        </ul>
    </li>
</ul>

$('.demo').draggable();
$('.demo').sortable();
                    </xmp></code></td>
                  <td>Enable the sortable and draggable functionalities on an html list</td>
                </tr>
              </tbody>
          </table>

          <div class="mg-lg-b-30"></div>

          <div class="az-footer mg-t-auto">
            <div class="container">
               <span>&copy; 2021 Crowdsoft</span>
            </div><!-- container -->
          </div><!-- az-footer -->
        </div><!-- az-content-body -->
      </div><!-- container -->
    </div><!-- az-content -->




    <script src="/lib/jquery/jquery.min.js"></script>
    <script src="/lib/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="/lib/ionicons/ionicons.js"></script>
    <script src="/lib/jquery-dragndrop/draganddrop.js"></script>

    <script src="/js/azia.js"></script>
    <script type='text/javascript'>
        $(function() {
          //grouped lists
          $('ul.grouped').sortable({
            group: true
          });
  
          //normal list
          $('ul.normal').sortable({
            autocreate: true,
            update: function(evt) {
              console.log(JSON.stringify($(this).sortable('serialize')));
            }
          });
  
          //remaining lists
          $('ul.float, ul.inline').sortable({
            update: function(evt) {
              console.log(JSON.stringify($(this).sortable('serialize')));
            }
          });
  
          //div list
          $('.list.parent').sortable({container: '.list', nodes: ':not(.list)'});
  
          //draggable
          $('.drag').draggable();
          $('.draggables').draggable({delegate: 'button', placeholder: true});
          $('.draghandle').draggable({handle: '.handle', placeholder: true});
          $('.dragdrop').draggable({
            revert: true,
            placeholder: true,
            droptarget: '.drop',
            drop: function(evt, droptarget) {
              $(this).appendTo(droptarget).draggable('destroy');
            }
          });
  
          //off switch
          $('.off').on('click', function() {
            $('.sortable').each(function() { $(this).sortable('destroy'); });
            $('.draggable').each(function() { $(this).draggable('destroy'); });
          });
        });
      </script>
  </body>
</html>
